package com.muyu.etl.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.etl.common.domain.DataSources;
import com.muyu.etl.server.mapper.DataSourcesMapper;
import com.muyu.etl.server.service.DataSourcesService;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;

/**
 * @Author：zhangzhihao
 * @name：DataSourcesServiceImpl
 * @Date：2024/8/21 14:35
 * 不准抄代码，添加注释，清楚每一行代码意思
 */
@Log4j2
@Service
public class DataSourcesServiceImpl extends ServiceImpl<DataSourcesMapper, DataSources> implements DataSourcesService {


    /**
     * 添加数据来源
     * @param dataSources
     * @return
     */
    @Override
    public boolean save(DataSources dataSources) {
        return super.save(dataSources);
    }
    @Override
    public boolean update(DataSources dataSources) {
        LambdaUpdateWrapper<DataSources> updateWrapper = new LambdaUpdateWrapper<>();

        return this.update(updateWrapper);
    }

}
